Enneo

AI Quality Check

Add test cases for an AI agent

POST /aiQualityCheck/testCase/{id}

POST /aiQualityCheck/testCase/{id}

Add multiple test cases (tickets) to the specified AI agent. Here {id} is the AI agent id — see the note on GET above for the dual meaning of {id} on this path.

Path parameters

idstringpathrequired

The AI agent ID.

Request body

ticketIdsinteger[]body

The ids of the tickets to add as test cases for the respective AI agent

Request Example

{
  "ticketIds": [
    233,
    237,
    238
  ]
}

Responses

200 — Successful operation

Response Example

{
  "createdTestCases": [
    {
      "id": 1,
      "ticketId": 1,
      "aiAgentIds": [
        1,
        2,
        3
      ],
      "channel": "string",
      "summary": "string",
      "description": "string",
      "expectedResult": null,
      "modifiedBy": 1
    }
  ]
}